package com.om.entity.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class DistributorDTO {

    @ApiModelProperty(value = "标识符")
    private Integer id;


    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ApiModelProperty(value = "公司地址")
    private String address;

    @ApiModelProperty(value = "公司电话")
    private String telephone;

    @ApiModelProperty(value = "公司网址")
    private String website;

    @ApiModelProperty(value = "维修厂编号")
    private Integer repairNo;

    @ApiModelProperty(value = "启用状态")
    private Integer enableStatus;

    @ApiModelProperty(value = "额外备注")
    private String remark;

}
